SIMULAVR(1)

NAME
SimulAVR - manual page for SimulAVR 1.1.0

DESCRIPTION
AVR-Simulator Version 1.1.0

simulavr {options}

Common options: -V, --version

    print out version and exit immediately

-h, --help

    print this help

-v, --verbose

    output some hints to console

Simulation options: -d <name>, --device <name>

    simulate device <name>, see below for simulated devices

-f <name>, --file <name>

    load elf-file <name> for simulation in simulated target

-F <Hz>, --cpufrequency <Hz>

    set the cpu frequency to <Hz>

-t <file>, --trace <file>

    enable trace outputs to <file>

-s, --irqstatistic

    prints statistic informations about irq usage after simulation is stopped

-C <name>, --core-dump <name>

    dump a core memory image <name> to file on exit

GDB options: -g, --gdbserver

    listen for GDB connection on TCP port defined by -p

-G, --gdb-debug

    listen for GDB connection and write debug info

--gdb-stdin

    for use with GDB as 'target remote | ./simulavr'

-p <port>

    use <port> for gdb server (default is port 1212)

-n, --nogdbwait

    do not wait for gdb connection

Control options: -m <nanoseconds>

    maximum run time of <nanoseconds>

-W <offset_file>, --writetopipe <offset_file>

    add a special pipe register to device at IO-Offset and opens file for writing, write argument as 'offset,file', file can be '-' to write to standard output

-R <offset_file>, --readfrompipe <offset_file>

    add a special pipe register to device at IO-Offset and opens file for reading, write argument as 'offset,file', file can be '-' to write to standard input

-a <offset>, --writetoabort <offset>

    add a special register at IO-offset which aborts simulator run

-e <offset>, --writetoexit <offset>

    add a special register at IO-offset which exits simulator run

-T <label>, --terminate <label>

    stops simulation if PC runs on <label>, <label> is a text label or a address

-B <label>, --breakpoint <label>

    same as -T for backward compatibility

-M

    disable messages for bad I/O and memory references

-l <number>, --linestotrace <number>

    maximum number of lines in each trace file. 0 means endless. Attention: if you use gdb & trace, please use always 0!

VCD trace options: -c <tracing-option>

    Enables a tracer with a set of options. The format for <tracing-option> is: <tracer>[:further-options ...]

-o <trace-value-file>

    Specifies a file into which all available trace value names will be written. Use '-' for standard output

TCL ui option: -u

    run with user interface for external pin handling at port 7777

Supported devices: at90can128 at90can32 at90can64 at90s4433 at90s8515 atmega128 atmega1280 atmega1284 atmega1284a atmega1284p atmega16 atmega164 atmega164a atmega164p atmega168 atmega2560 atmega32 atmega324 atmega324a atmega324p atmega328 atmega48 atmega64 atmega640 atmega644 atmega644a atmega644p atmega8 atmega88 attiny2313 attiny25 attiny45 attiny85

See documentation for copyright and distribution terms

SEE ALSO
The full documentation for SimulAVR is maintained as a Texinfo manual. If the info and SimulAVR programs are properly installed at your site, the command

    info SimulAVR

should give you access to the complete manual.